LoggerNet language files are now available in Spanish, Japanese, and Russian; French, German, Korean, and Chinese will be added in the future. Please visit us at:  http://www.campbellsci.com/downloads and select "Software Language Files" to obtain the new files. They’re easy to install and you can easily switch from one language to another. The files allow command choices to be displayed in the language of choice; however, deeper levels of the software remain in English. LoggerNet 3.3 or higher is required to run the language files.


We're active on Social Media!
Stay informed with our latest updates by following us on these platforms: